# Download guide PDF Returns the PDF URL for the specified guide or indicates if PDF generation is in progress. Endpoint: GET /api/v3/{guides-type}/{id}/pdf Version: 3.1.0 Security: apiKeyAuth ## Path parameters: - `guides-type` (string, required) The type of the guide document. Enum: "shippings", "transports", "devolutions" - `id` (integer, required) The document ID. Example: 541674 ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" ## Response 200 fields (application/json): - `pdf` (object) - `pdf.url` (string) Example: "https://s3.amazonaws.com/bucket/document.pdf" ## Response 202 fields (application/json): - `pdf` (object) - `pdf.message` (string) Example: "PDF file is being generated" ## Response 401 fields (application/json): - `errors` (array) Example: [{"error":"Authentication Error"}] - `errors.error` (string) ## Response 404 fields (application/json): - `errors` (array) Example: [{"error":"Resource not found"}] - `errors.error` (string) ## Response 422 fields (application/json): - `errors` (array) Lista de erros retornada quando a geração do PDF falha. Example: [{"error":"There was an error generating PDF file"}] - `errors.error` (string) ## Response 500 fields (application/json): - `errors` (array) Example: [{"error":"An unexpected error occurred"}] - `errors.error` (string)